<div class="form-container">
  <form nz-form class="login-form" [formGroup]="form" >
    <nz-form-item>
      <nz-input-group [nzSuffix]="inputClearTpl">
        <input formControlName="username" type="text" nz-input placeholder="User name"/>
      </nz-input-group>
      <ng-template #inputClearTpl>
        <i
          nz-icon
          class="ant-input-clear-icon"
          nzTheme="fill"
          nzType="close-circle"
          *ngIf="inputValue"
          (click)="inputValue = null"
        ></i>
      </ng-template>
    </nz-form-item>

    <nz-form-item>
      <nz-input-group [nzSuffix]="suffixTemplate">
        <input
          [type]="passwordVisible ? 'text' : 'password'"
          nz-input
          placeholder="Password"
          formControlName="password"
        />
      </nz-input-group>
      <ng-template #suffixTemplate>
        <i nz-icon [nzType]="passwordVisible ? 'eye-invisible' : 'eye'"
           (click)="passwordVisible = !passwordVisible"></i>
      </ng-template>
    </nz-form-item>
    <button
      nz-button
      class="login-form-button login-form-margin"
      [nzType]="'primary'"
      (click)="onSubmit()"
    >
      Log in
    </button>
  </form>
</div>
